//
//  TextCaseView.swift
//  TextCaseDemo
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import SwiftUI

struct TextCaseView: View {
    var body: some View {
        VStack(spacing: 80) {
            
            // Turn all characters to lower case with the `lowercase` argument.
            Text("A TEXT VIEW WITH ALL CHARACTERS IN LOWER CASE")
                .textCase(.lowercase)
            
            // Turn all letters to upper case with the `uppercase` argument
            Label("a label with all characters in upper case", image: "")
                .textCase(.uppercase)
            
        }
        .padding()
        .font(.title2)
    }
}

#Preview {
    TextCaseView()
}
