//
//  TextInputCapitalizationView.swift
//  TextCaseDemo
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import SwiftUI

struct TextInputCapitalizationView: View {
    @State private var text1 = ""
    @State private var text2 = ""
    @State private var text3 = ""
    @State private var text4 = ""
    
    var body: some View {
        VStack(spacing: 40) {
            TextField("", text: $text1)
                .textInputAutocapitalization(.characters)
            
            TextField("", text: $text2)
                .textInputAutocapitalization(.never)
            
            TextField("", text: $text3)
                .textInputAutocapitalization(.words)
            
            TextField("", text: $text4)
                .textInputAutocapitalization(.sentences)
        }
        .padding()
        .textFieldStyle(.roundedBorder)
    }
}

#Preview {
    TextInputCapitalizationView()
}
